package com.kingdee.eas.custom.integration.apimgt;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ApiRegistryBillCollection extends AbstractObjectCollection 
{
    public ApiRegistryBillCollection()
    {
        super(ApiRegistryBillInfo.class);
    }
    public boolean add(ApiRegistryBillInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(ApiRegistryBillCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ApiRegistryBillInfo item)
    {
        return removeObject(item);
    }
    public ApiRegistryBillInfo get(int index)
    {
        return(ApiRegistryBillInfo)getObject(index);
    }
    public ApiRegistryBillInfo get(Object key)
    {
        return(ApiRegistryBillInfo)getObject(key);
    }
    public void set(int index, ApiRegistryBillInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(ApiRegistryBillInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ApiRegistryBillInfo item)
    {
        return super.indexOf(item);
    }
}